import './toolbar_chip_button.js';
import '//resources/cr_elements/cr_icon/cr_icon.js';
import '//resources/cr_elements/icons.html.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { AppMenuControlState } from '/shared/toolbar_ui_api_data_model.mojom-webui.js';
declare const AppMenuButtonElementBase: typeof CrLitElement & (new (...args: any[]) => import("//resources/cr_components/help_bubble/help_bubble_mixin_lit.js").HelpBubbleMixinLitInterface) & (new (...args: any[]) => import("./toolbar_button.js").HelpBubbleAnchor);
export interface AppMenuButtonElement {
    $: {
        button: HTMLElement;
    };
}
export declare class AppMenuButtonElement extends AppMenuButtonElementBase {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        state: {
            type: ObjectConstructor;
        };
    };
    accessor state: AppMenuControlState;
    private browserProxy_;
    private focusRequestHandle_;
    connectedCallback(): void;
    disconnectedCallback(): void;
    focus(): void;
    private onFocusRequest_;
    protected onFocusin_(): void;
    protected onFocusout_(): void;
    protected onPointerdown_(e: PointerEvent): void;
    protected onClick_(e: PointerEvent): void;
    private handleMenuClick_;
    protected getTooltip_(): string;
    protected getHighlightClass_(): string;
}
declare global {
    interface HTMLElementTagNameMap {
        'app-menu-button': AppMenuButtonElement;
    }
}
export {};
